#include <SoftwareSerial.h>

#define tmpSensor A7
#define ledPin 8
#define rxPin 0
#define txPin 1

char serialData;
int temperature = 0;
int sensorData = 0;

SoftwareSerial mySerial(rxPin, txPin);

void setup() {
  // put your setup code here, to run once:
  pinMode(ledPin, OUTPUT);
  mySerial.begin(9600);
  digitalWrite(ledPin, LOW);
}

void loop() {
  // read temperature
  sensorData = analogRead(tmpSensor);  // read the input pin
  temperature = (1024000-(sensorData*2000)) / ((3.75*sensorData)-3840);
  mySerial.println(temperature);
  
  // check received serial data
  if(mySerial.available()>0){
    serialData = mySerial.read();   
    
    if(serialData == '1'){
      digitalWrite(ledPin, HIGH);
    }
    else if(serialData =='0'){
      digitalWrite(ledPin, LOW);
    }
  }
  
  delay(300);  
}
